package be.iminds.ilabt.jfed.rspec.model.impl;

import be.iminds.ilabt.jfed.rspec.model.AnsibleService;

/**
 * User: twalcari
 * Date: 5/26/2016
 * Time: 14:40
 */
public class BasicAnsibleService implements be.iminds.ilabt.jfed.rspec.model.AnsibleService {
    private String playbookCommand;
    private String galaxyCommand;
    private String logfile;
    private String installRequirements;
    private String executePlaybook;
    private Boolean debug;
    private String inventory;


    public BasicAnsibleService() {
    }

    public BasicAnsibleService(AnsibleService o){
        this.playbookCommand = o.getPlaybookCommand();
        this.galaxyCommand = o.getGalaxyCommand();
        this.logfile = o.getLogfile();
        this.installRequirements = o.getInstallRequirements();
        this.executePlaybook = o.getExecutePlaybook();
        this.debug = o.getDebug();
        this.inventory = o.getInventory();
    }

    @Override
    public String getPlaybookCommand() {
        return playbookCommand;
    }

    @Override
    public void setPlaybookCommand(String playbookCommand) {
        this.playbookCommand = playbookCommand;
    }

    @Override
    public String getGalaxyCommand() {
        return galaxyCommand;
    }

    @Override
    public void setGalaxyCommand(String galaxyCommand) {
        this.galaxyCommand = galaxyCommand;
    }

    @Override
    public String getLogfile() {
        return logfile;
    }

    @Override
    public void setLogfile(String logfile) {
        this.logfile = logfile;
    }

    @Override
    public String getInstallRequirements() {
        return installRequirements;
    }

    @Override
    public void setInstallRequirements(String installRequirements) {
        this.installRequirements = installRequirements;
    }

    @Override
    public String getExecutePlaybook() {
        return executePlaybook;
    }

    @Override
    public void setExecutePlaybook(String executePlaybook) {
        this.executePlaybook = executePlaybook;
    }

    @Override
    public Boolean getDebug() {
        return debug;
    }

    @Override
    public void setDebug(Boolean debug) {
        this.debug = debug;
    }

    @Override
    public String getInventory() {
        return inventory;
    }

    @Override
    public void setInventory(String inventory) {
        this.inventory = inventory;
    }
}
